PAL2NAL.PL(1)

NAME
pal2nal.pl - use insight from protein alignment for nucleotide alignment

SYNOPSIS
pal2nal.pl pep.aln nuc.fasta [nuc.fasta...] [options]

DESCRIPTION
pal2nal.pl (v13)

pep.aln:
    protein alignment either in CLUSTAL or FASTA format

nuc.fasta:
    DNA sequences (single multi-fasta or separated files)

Options:
    -h Show help

    -output (clustal|paml|fasta|codon)

    Output format; default = clustal

-blockonly
    Show only user specified blocks '#' under CLUSTAL alignment (see example)

-nogap
    remove columns with gaps and inframe stop codons

-nomismatch
    remove mismatched codons (mismatch between pep and cDNA) from the output

    -codontable (universal|vmitochondria)

    Codon table

    - universal (default) - vmitochondria -> vertebrate mitochondrial

-html
    HTML output (only for the web server)

-nostderr
    No STDERR messages (only for the web server)

    - sequence order in pep.aln and nuc.fasta should be the same.

    - IDs in pep.aln are used in the output.

pal2nal.pl (v13)

Usage: pal2nal.pl pep.aln nuc.fasta [nuc.fasta...] [options]

pep.aln:
    protein alignment either in CLUSTAL or FASTA format

nuc.fasta:
    DNA sequences (single multi-fasta or separated files)

Options:
    -h Show help

    -output (clustal|paml|fasta|codon)

    Output format; default = clustal

-blockonly
    Show only user specified blocks '#' under CLUSTAL alignment (see example)

-nogap
    remove columns with gaps and inframe stop codons

-nomismatch
    remove mismatched codons (mismatch between pep and cDNA) from the output

    -codontable (universal|vmitochondria)

    Codon table

    - universal (default) - vmitochondria -> vertebrate mitochondrial

-html
    HTML output (only for the web server)

-nostderr
    No STDERR messages (only for the web server)

    - sequence order in pep.aln and nuc.fasta should be the same.

    - IDs in pep.aln are used in the output.

SEE ALSO
The full documentation for pal2nal.pl is maintained as a Texinfo manual. If the info and pal2nal.pl programs are properly installed at your site, the command

    info pal2nal.pl

should give you access to the complete manual.